package md

type InvoiceCenterDataReq struct {
	Limit string `json:"limit"`
	Page  string `json:"page" `
	Type  string `json:"type" example:"0电子发票 1纸质发票"`
}

type InvoiceCenterDataRes struct {
	List  []InvoiceCenterDataData `json:"list"  `
	Total int64                   `json:"total"`
	State []SelectData            `json:"state"`
}

type InvoiceCenterDataData struct {
	Id      string `json:"id"`
	TimeStr string `json:"time_str" example:"上传时间"`
	State   string `json:"state" example:"结算单状态(0:待审核 1:审核通过 2:审核拒绝)"`
	Count   string `json:"count" example:"数量"`
	Month   string `json:"month" example:"订单月份"`
	Amount  string `json:"amount" example:"结算金额"`
}
type InvoiceCenterDataDetailRes struct {
	Data  InvoiceCenterDataDetailData `json:"data"  `
	State []SelectData                `json:"state"`
}
type InvoiceCenterDataDetailData struct {
	TimeStr string        `json:"time_str" example:"上传时间"`
	State   string        `json:"state" example:"结算单状态(0:待审核 1:审核通过 2:审核拒绝)"`
	Count   string        `json:"count" example:"数量"`
	File    []InvoiceFile `json:"file"`
}
